# Organisation

## Abfragen

***

### <mark style="background-color:yellow;">get\_organization</mark>

Ruft die Details einer Organisation ab.

#### Parameter

* `id` (erforderlich): Die ID der Organisation.

#### Beispiel

```bash
curl -X POST 'https://app.polyteia.com/api' \
    -header "Content-Type: application/json" \
    -header "Authorization: Bearer <your_access_token>" \
    --data '{
        "query": "get_organization",
        "params": {
            "id": "org_cv33u4n0i6q45p93i930"
        }
    }'
```

#### **Organisations-Antwort**

* `id`: Die ID der Organisation.
* `created_at`: Datum und Uhrzeit der Erstellung der Organisation.
* `updated_at`: Datum und Uhrzeit der letzten Aktualisierung der Organisation.
* `name`: Der Name der Organisation.
* `description`: Die Beschreibung der Organisation.
* `slug`: Der Slug der Organisation.

#### Beispielantwort

```json
{
    "data": {
        "id": "org_cv33u4n0i6q45p93i930",
        "created_at": "2025-03-24T15:12:49.186202Z",
        "updated_at": "2025-03-24T20:01:59.408382Z",
        "name": "Polyteia",
        "description": "Polyteia-Organisation verwaltet von Polyteia GmbH",
        "slug": "polyteia"
    }
}
```

***

### <mark style="background-color:yellow;">list\_organizations</mark>

Seitenweise Auflistung aller Organisationen, auf die der Benutzer Zugriff hat.

#### Parameter

* `page` (erforderlich): Die zurückzugebende Seitennummer. `minimum: 1`
* `size` (erforderlich): Die Anzahl der Elemente pro Seite. `minimum: 1, maximum: 100`

#### Beispiel

```bash
curl -X POST 'https://app.polyteia.com/api' \
    -header "Content-Type: application/json" \
    -header "Authorization: Bearer <your_access_token>" \
    --data '{
        "query": "list_organizations",
        "params": {
            "page": 1,
            "size": 10
        }
    }'
```

#### Antwort

* `total`: Die Gesamtanzahl der Organisationen, auf die der Benutzer Zugriff hat.
* `page`: Die aktuelle Seitennummer.
* `size`: Die angeforderte Anzahl von Elementen pro Seite.
* `items`: Ein Array von Organisationen. Weitere Details finden Sie unter [Organisations-Antwort](#organisations-antwort).

#### Beispielantwort

```json
{
    "data": {
        "total": 1,
        "page": 1,
        "size": 100,
        "items": [
            {
                "id": "org_cv33u4n0i6q45p93i930",
                "created_at": "2025-03-24T15:12:49.186202Z",
                "updated_at": "2025-03-24T20:01:59.408382Z",
                "name": "Polyteia",
                "description": "Polyteia-Organisation verwaltet von Polyteia GmbH",
                "slug": "polyteia"
            }
        ]
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.polyteia.com/api-docs/organization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
